SerializerFactory (Axis API)
Keywords: javax.xml.rpc.encoding.SerializerFactory,SerializerFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.encoding
Interface SerializerFactory

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  SerializerFactory

All Known Implementing Classes:
  BaseSerializerFactory

public interface SerializerFactory
extends java.io.Serializable

The javax.xml.rpc.encoding.SerializerFactory is a factory of the serializers. A SerializerFactory is registered with a TypeMapping object as part of the TypeMappingRegistry.

Version:
  1.0

Method Summary
`Serializer` | `getSerializerAs(java.lang.String mechanismType)` Returns a Serializer for the specified XML processing mechanism type.
`java.util.Iterator` | `getSupportedMechanismTypes()` Returns a list of all XML processing mechanism types supported by this SerializerFactory.

Method Detail

### getSerializerAs

    public Serializer getSerializerAs(java.lang.String mechanismType)

  Returns a Serializer for the specified XML processing mechanism type.

  Parameters:
    `mechanismType` - - XML processing mechanism type [TBD: definition of valid constants]
  Returns:
    a Serializer for the specified XML processing mechanism type.
  Throws:
    `JAXRPCException` - If SerializerFactory does not support the specified XML processing mechanism
    `java.lang.IllegalArgumentException` - If an invalid mechanism type is specified.

### getSupportedMechanismTypes

    public java.util.Iterator getSupportedMechanismTypes()

  Returns a list of all XML processing mechanism types supported by this SerializerFactory.

  Returns:
    List of unique identifiers for the supported XML processing mechanism types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.